﻿//-----------------------------------------------------------------------------
// <copyright file="IHomeMaticProxy.cs" company="eQ-3 Entwicklung GmbH">
//   Copyright (c) 2010
// </copyright>
//-----------------------------------------------------------------------------

namespace ListDevices
{
  using System;
  using System.Collections.Generic;
  using System.Text;

  using CookComputing.XmlRpc;

  /// <summary>
  /// Proxy-Schnittstelle für die Kommunikation
  /// mit der HomeMatic Zentrale bzw. dem
  /// BidCoS-Service.
  /// </summary>
  public interface IHomeMaticProxy : IXmlRpcProxy
  {
    /// <summary>
    /// Liefert alle verfügbaren logischen Geräte
    /// </summary>
    /// <returns>Verfügbare logische Geräte</returns>
    [XmlRpcMethod("listDevices")]
    DeviceDescription[] ListDevices();
  }
}
